import { defineConfig } from 'vite';
import laravel from 'laravel-vite-plugin';

export default defineConfig({
    plugins: [
        laravel({
            input: [
                'resources/css/site.css',
                'resources/js/site.js',
            ],
            refresh: true,
        }),
    ],
    build: {
        rollupOptions: {
            output: {
                entryFileNames: 'assets/main.js',   // Custom filename for JS
                assetFileNames: (assetInfo) => {
                    if (assetInfo.name === 'site.css') {
                        return 'assets/main.css';  // Custom filename for CSS
                    }
                    return 'assets/[name].[ext]';  // Default for other assets
                },
            },
        },
    },
});

